org.eclipse.jface.text

## Interface IInputChangedListener

    public interface IInputChangedListener

A listener which is notified when the target's input changes.

Clients can implement that interface and its extension interfaces.

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `inputChanged(Object newInput)` Called when a the input has changed.

### Method Detail

#### inputChanged

    void inputChanged(Object newInput)

Called when a the input has changed.

Parameters:
  `newInput` - the new input, or `null` iff the listener should not show any new input